using System;

namespace Mamuransam
{
    class Program
    {
        static void Main(string[] args)
        {
            int N, L;
            bool prosao = true;
            string[] s = Console.ReadLine().Split();
            N = int.Parse(s[0]);
            L = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
                if (int.Parse(s[i]) <= L)
                {
                    Console.WriteLine(i + 1);
                    prosao = false;
                    break;
                }
            if (prosao)
                Console.WriteLine("-1");
        }
    }
}